# Function registerProtocol

- registerProtocol<P, PN>(platform, protocol, ctr): void

- #### Type Parameters

  - #### P extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"

  - #### PN extends "WormholeCore" | "TokenBridge" | "AutomaticTokenBridge" | "CircleBridge" | "AutomaticCircleBridge" | "Relayer" | "IbcBridge" | "NftBridge"

  #### Parameters

  - ##### platform: P

  - ##### protocol: PN

  - ##### ctr: ProtocolInitializer<P, PN>

  #### Returns void

  - Defined in core/definitions/dist/esm/protocol.d.ts:16

Generated using TypeDoc